﻿using EJGrid.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.IO;
using System.Linq;
using System.Linq.Expressions;
using System.Web;
using System.Web.Mvc;
using System.Web.UI.WebControls;
using System.Xml;
using System.Web.Script.Serialization;
using System.Reflection;
using System.Web.Helpers;

namespace EJGrid.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.datasource = OrderRepository.GetAllRecords();
            return View();
        }
        public ActionResult _GetEmployees(int skip, int take)
        {

            var model = new NorthwindDataContext().EmployeeViews.ToList();
            var count  = model.Count;
            model = model.Skip(skip).Take(take).ToList();
            return Json(new { result = model, count = count }, JsonRequestBehavior.AllowGet);
        }
        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}